#include "compiler_features.hpp"
#include "config.hpp"

#include <QtCore>
#include <iostream>
#include <cmext/cmext.hpp>

#include "cmex.hpp"

int main(int argc, char **argv) {
	QCoreApplication app(argc, argv);
	QTranslator translator;

	if (translator.load(QLocale(), "cmex_app", QLatin1String("_"), QLatin1String(":/qm")))
	{
		app.installTranslator(&translator);
	}
	std::cout << QObject::tr("Compiler version: ").toStdString()       << CMEX_COMPILER_VERSION_MAJOR << std::endl; // Значение из compiler_features.hpp
	std::cout << QObject::tr("Project version: ").toStdString()        << CMEX_VERSION_STR            << std::endl; // Значение из config.hpp
	std::cout << QObject::tr("Build type: ").toStdString()             << BUILD_TYPE                  << std::endl; // Значение из config.hpp
	std::cout << QObject::tr("libcmex function call: ").toStdString()  << cmex_init(4)                << std::endl; // Функция из внутренней библиотеки
	std::cout << QObject::tr("libcmext function call: ").toStdString() << cmext_init(9)               << std::endl; // Функция из внешней библиотеки
	return 0;
}

